/* REXX */

/*

 * MyAttrib. This file was created for Yuichi Nishijima 

 * by Project Smarts on 10 Nov 1996. 

 */

/*  REXX - MyAttrib install script                        */
/*  Installs MyAttrib's DLL                               */

Parse source . . __rexx_name;
__rexx_dir = Filespec('D',__rexx_name)||Filespec('P',__rexx_name)

Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs';
Call SysLoadFuncs;           

     /* Get system DLL directory path */
     system_dll=FileSpec('Drive',Value('SYSTEM_INI',,'OS2ENVIRONMENT'))||'\OS2\DLL';

     rc=SysDeregisterObjectClass('MyAttrib');     /* Deregister MyAttrib class */

     Address CMD '@ERASE 'system_dll'\MYATTRIB.DLL 2>NUL';    /* Erase old DLL */

     Address CMD '@COPY '__rexx_dir'MYATTRIB.DLL 'system_dll; /* Copy new DLL to system DLL dir */

     If rc <> 0                 /* If MyAttrib class did not deregister OK */
        Then Do;
          Say  "MyAttrib: Could not replace the MyAttrib DLL, rc="rc".";
          Say  "MyAttrib: Delete the object and the DLL from \OS2\DLL directory.";
          Exit;
          End;

     /* Everything OK so far.  Register MyAttrib class */
     rc=SysRegisterObjectClass('MyAttrib',system_dll||'\MYATTRIB.DLL');

     If rc <> 1                 /* If MyAttrib class did not register OK */
        Then Do;
          Say  "MyAttrib: could not register MyAttrib class, rc="rc".";
          Exit;
          End;    

     /* Now create object on Desktop */
     rc=SysCreateObject('MyAttrib', 'MyAttrib', '<WP_DESKTOP>', ,
                        'ICONFILE='__rexx_dir'MYATTRIB.ICO;OBJECTID=<MYATTRIB>;',,
                        'replace');

     If rc <> 1                 /* If there were create errors */
        Then Do;
          Say  "MyAttrib: could not create object on the Desktop, rc="rc".";
          End;
Exit;
